unit RTDReg;

interface

Procedure ClassRegistration;

implementation

uses
  Classes, RTDesign,
{ SampReg }
  ColorGrd, Gauges, DirOutln, Spin, Calendar,
{ StdReg }
  Forms, Dialogs, Tabs,
{$ifdef ver80}
  TabNotBk,
{$endif}
  Buttons, StdCtrls, ExtCtrls, Grids, Outline, Mask,
{ SysReg }
  FileCtrl, MPlayer;


Procedure ClassRegistration;
  Procedure SampReg;
  Begin
  { Samp }
    RegisterClasses([TGauge, TColorGrid, TSpinButton, TSpinEdit,
      TDirectoryOutline, TCalendar]);
  End;


  Procedure StdReg;
  Begin
  { Standard }
    RegisterClasses([{TMainMenu, TPopupMenu, }TLabel,
      TEdit, TMemo, TButton, TCheckBox, TRadioButton, TListBox, TComboBox,
      TScrollBar, TGroupBox, TRadioGroup, TPanel]);
  { Additional page }
    RegisterClasses([TBitBtn, TSpeedButton, TTabSet,
      TNotebook,
{$ifdef Ver80}
      TTabbedNotebook,
{$endif}
      TMaskEdit, TOutline, TStringGrid, TDrawGrid,
      TImage, TShape, TBevel, THeader, TScrollBox]);
  End;

  Procedure SysReg;
  Begin
  { Dialogs }
    RegisterClasses([TOpenDialog, TSaveDialog, TFontDialog,
      TColorDialog, TPrintDialog, TPrinterSetupDialog, TFindDialog,
      TReplaceDialog]);
  { System }
    RegisterClasses([TTimer, TPaintBox, TFileListBox,
      TDirectoryListBox, TDriveComboBox, TFilterComboBox, TMediaPlayer]);
  End;

Begin
  RegisterClass(TRTDesigner);
  StdReg;
  SysReg;
  SampReg;
End;


initialization
  ClassRegistration;

end.
